github realm/realm-cocoa v10.8.1

Enhancements

  • Update Xcode 12.5 to Xcode 12.5.1.
  • Create fewer dynamic classes at runtime, improving memory usage and startup time slightly.

Fixed

  • Importing the Realm swift package produced several warnings about excluded files not existing. Note that one warning will still remain after this change. (#7295, since v10.8.0).
  • Update the root URL for the API docs so that the links go to the place where new versions of the docs are being published. (#7299, since v10.6.0).

Compatibility

  • Realm Studio: 11.0.0 or later. Note that this version of Realm Studio has not yet been released at the time of this release.
  • APIs are backwards compatible with all previous releases in the 10.x.y series.
  • Carthage release for Swift is built with Xcode 12.5.1.
  • CocoaPods: 1.10 or later.
  • Xcode: 12.2-13.0 beta 1.
latest releases: v10.11.0, v10.10.0, v10.9.0...
one month ago